For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all your users
      • GETCheck user permission
      • PUTRevoke user permission
      • PUTResend / Cancel invitation
      • POSTSend invitation to user
      • POSTUpdate permission for a user
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsUser

Check user permission

GET
https://api.brevo.com/v3/organization/user/:email/permissions
GET
/v3/organization/user/:email/permissions
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.user.getUserPermission("email");
8}
9main();
1{
2 "email": "invitedUser@company.com",
3 "privileges": [
4 {
5 "feature": "Email campaign",
6 "permissions": [
7 "Create / edit / delete",
8 "Send / schedule / suspend"
9 ]
10 },
11 {
12 "feature": "Templates",
13 "permissions": [
14 "Create / edit / delete",
15 "Activate / deactivate"
16 ]
17 },
18 {
19 "feature": "SMS campaign",
20 "permissions": [
21 "Create / edit / delete",
22 "Send / schedule / suspend"
23 ]
24 },
25 {
26 "feature": "Facebook Ads",
27 "permissions": [
28 "Schedule / pause"
29 ]
30 },
31 {
32 "feature": "Landing pages",
33 "permissions": [
34 "All"
35 ]
36 },
37 {
38 "feature": "Workflows",
39 "permissions": [
40 "Create / edit / delete",
41 "Activate / deactivate / Pause"
42 ]
43 },
44 {
45 "feature": "Contacts",
46 "permissions": [
47 "View",
48 "Contact forms"
49 ]
50 },
51 {
52 "feature": "SMTP & API",
53 "permissions": [
54 "SMTP",
55 "API Keys",
56 "Authorized IPs"
57 ]
58 },
59 {
60 "feature": "User management",
61 "permissions": [
62 "None"
63 ]
64 },
65 {
66 "feature": "Sales Platform",
67 "permissions": [
68 "Create / edit / delete owned deals and tasks",
69 "Manage deals and tasks from other users",
70 "Reports",
71 "Settings"
72 ]
73 },
74 {
75 "feature": "Conversations",
76 "permissions": [
77 "None"
78 ]
79 },
80 {
81 "feature": "Senders, Domains & Dedicated IPs",
82 "permissions": [
83 "Senders management",
84 "Domains management",
85 "Dedicated IPs management"
86 ]
87 },
88 {
89 "feature": "Push",
90 "permissions": [
91 "View",
92 "Create / edit / delete",
93 "Send",
94 "Settings"
95 ]
96 },
97 {
98 "feature": "Companies",
99 "permissions": [
100 "Create / edit / delete owned companies",
101 "Manage companies from other users",
102 "Settings"
103 ]
104 }
105 ],
106 "status": "active"
107}

Retrieves the granular feature-level permissions assigned to a specific user in the organization, identified by their email address. The response includes the user”s current status (active or pending) and a detailed list of privileges specifying which features and permission levels are granted.

Was this page helpful?
Previous

Revoke user permission

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

emailstringRequired
Email of the invited user.

Response

list of all the user's permissions
emailstring
Email address of the user.
privilegeslist of objects
Granular feature permissions given to the user.
statusstring
Status of the invited user.

Errors

400
Bad Request Error